!/usr/bin/env bash

FLATPAK () {
if ! ssh root@localhost 'flatpak update -y' ; then

zenity --error \
--title="Sovran_SystemsOS Updater" \
--text="Could Not Update Flatpaks."

exit 1

fi

}

SPICE () {
xterm -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'"

if [[ $? != 1 ]] ; then

zenity --info \
--ellipsize \
--no-wrap \
--width=700 \
--title="Sovran_SystemsOS" \
--text="Yay complete! Please reboot when you are ready."

exit 1

else

zenity --error \
--width=700 \
--title="Sovran_SystemsOS" \
--text="Could not complete the update."

exit 2

fi

}

#########

curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" |

zenity --text-info \
--width=1000 \
--height=700 \
--title="Sovran_SystemsOS"

if [[ $? -eq 1 ]]; then

exit 1

else

FLATPAK

SPICE | zenity --progress --no-cancel --auto-close --width=550 --pulsate --text="Updating now. In rare cases, it could take up to 3 hours. Please Be Patient..." ----title="Sovran_SystemsOS"

fi

exit 0